Summary: Tolua is a tool that greatly simplifies the integration of C/C++ code with Lua
Name: tolua
Version: 4.0
Release: alt2
Url: http://www.tecgraf.puc-rio.br/~celes/tolua/
# ftp://ftp.tecgraf.puc-rio.br/pub/users/celes/tolua/
Source0: %name-%version.tar.bz2
Source1: %name-4.0a-deb-tolua.1
Patch0: %name-%version-alt-config.patch
Patch1: %name-%version-alt-shared.patch
License: Public Domain
Group: Development/Other
Serial: 1

# Automatically added by buildreq on Thu Dec 26 2002
BuildRequires: lua-devel

# shared build
Requires: lua-devel >= 4.0.1-alt5
BuildPreReq: lua-devel >= 4.0.1-alt5
# packages mreged
Provides: tolua-devel

%description
Tolua is a tool that greatly simplifies the integration of C/C++ code with Lua.
Based on a "cleaned" header file, tolua automatically generates
the binding code to access C/C++ features from Lua. Using Lua-4.0 API and
tag method facilities, the current version automatically maps C/C++
constants, external variables, functions, classes, and methods to Lua.

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1

%build
%add_optflags %optflags_shared
export SONAME="libtolua.so.%version"
%make_build LDFLAGS="-shared -soname=$SONAME -lc"

%install
%__install -pD -m775	bin/%name \
	$RPM_BUILD_ROOT%_bindir/%name
%__install -pD -m644	lib/lib%name.a \
	$RPM_BUILD_ROOT%_libdir/lib%name.a
%__cp -a		lib/lib%name.so* \
	$RPM_BUILD_ROOT%_libdir/
%__install -pD -m644	include/%name.h \
	$RPM_BUILD_ROOT%_includedir/%name.h
%__mkdir_p \
	$RPM_BUILD_ROOT%_datadir/%name
%__install -p -m644	src/bin/*.lua \
	$RPM_BUILD_ROOT%_datadir/%name/
%__install -pD -m644	%SOURCE1 \
	$RPM_BUILD_ROOT%_man1dir/%name.1

%files
%doc INSTALL README
%_bindir/%name
%_includedir/%name.h
%_libdir/lib%name.*
%_datadir/%name
%_man1dir/%name.*

%changelog
* Wed Dec 25 2002 Alexey Tourbin <at@altlinux.ru> 1:4.0-alt2
- no need to split into %name and %name-devel packages; merged
- shared build, shared optimization flags
- tolua classes and scripts in %_datadir/%name
- debian manual page

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1:4.0-alt1
- Rebuilt in new environment

* Wed Aug 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0a-alt1
- First build for Sisyphus
